import { connect } from 'umi';
import SystemSettingComponent from '../../../components/CommonSystemSettingEvent/CommonSystemSetting';

function SystemSetting({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  const systemSettingProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <SystemSettingComponent {...systemSettingProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(SystemSetting);
